FLANG

Public Member Functions | Static Public Attributes | List of all members
Fortran::evaluate::value::Logical< BITS, IS_LIKE_C > Class Template Reference

## Public Member Functions
template<int B, bool C>
constexpr | Logical (Logical< B, C > x)
constexpr | Logical (bool truth)
template<int B, bool C>
constexpr Logical & | operator= (Logical< B, C > x)
template<int B, bool C>
constexpr bool | operator< (const Logical< B, C > &that) const
template<int B, bool C>
constexpr bool | operator<= (const Logical< B, C > &) const
template<int B, bool C>
constexpr bool | operator== (const Logical< B, C > &that) const
template<int B, bool C>
constexpr bool | operator!= (const Logical< B, C > &that) const
template<int B, bool C>
constexpr bool | operator>= (const Logical< B, C > &) const
template<int B, bool C>
constexpr bool | operator> (const Logical< B, C > &that) const
constexpr bool | IsTrue () const
constexpr Logical | NOT () const
constexpr Logical | AND (const Logical &that) const
constexpr Logical | OR (const Logical &that) const
constexpr Logical | EQV (const Logical &that) const
constexpr Logical | NEQV (const Logical &that) const

## Static Public Attributes
static constexpr int | bits {BITS}
static constexpr bool | IsLikeC {BITS <= 8 || IS_LIKE_C}

The documentation for this class was generated from the following file:

- include/flang/Evaluate/logical.h